shader = love.graphics.newShader [[
	extern Image images[3];
	extern int index;
	vec4 effect( vec4 color, Image texture, vec2 texture_coords, vec2 screen_coords )
	{
		vec4 texcolor = Texel(images[index], texture_coords);
		return texcolor * color;
	}
]]

drag = love.graphics.newImage('drag.gif')
scrib = love.graphics.newImage('scrib.png')
thing = love.graphics.newImage('thing.png')
blankimg = love.graphics.newImage('blankimg.bmp')

shader:send('images',thing,scrib,drag)

msg = {
	"Accessing zero index works",
	"Accessing 1 index gives same image",
	"Accessing any other index gives white block",
}

love.draw = function()
	love.graphics.print("Trying to draw images from shader")
	for i = 1,3 do
		love.graphics.translate(0,100)
		shader:sendInt('index',i-1)
		love.graphics.setShader(shader)
		love.graphics.draw(blankimg)
		love.graphics.setShader()
		love.graphics.print(msg[i],50)
	end
	love.graphics.origin()
end

